import React from "react";
import { shallow } from "enzyme";
import AllocationsAssignmentContainer from "./allocations-assignment.container";

describe("LineAllocationsContainer", () => {
  let mockRefetch;
  let jobLineId;
  let wrapper;
  beforeEach(() => {
    mockRefetch = jest.fn;
    jobLineId = "b76e44a8-943f-4c67-b8f4-38d14db8b4b8";
    const mockProps = {
      refetch: mockRefetch,
      jobLineId,
      hours: 5
    };

    shallow(<AllocationsAssignmentContainer {...mockProps} />);
  });
});
